org.infinispan.schematic.internal.delta

## Class AddValueOperation

- java.lang.Object
- - org.infinispan.schematic.internal.delta.Operation
  - - org.infinispan.schematic.internal.delta.ArrayOperation
    - - org.infinispan.schematic.internal.delta.AddValueOperation

- Direct Known Subclasses:
    AddValueIfAbsentOperation

      @SerializeWith(value=AddValueOperation.Externalizer.class)
      public class AddValueOperation
      extends ArrayOperation

  An atomic array add operation for SchematicValueDelta.
  Since:
    5.1

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AddValueOperation.Externalizer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `actualIndex`
    `protected static int` | `APPEND_INDEX`
    `protected int` | `index`
    `protected Object` | `value`

    - ### Fields inherited from class org.infinispan.schematic.internal.delta.Operation

      `parentPath`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddValueOperation(Path path, Object value)`
    `AddValueOperation(Path path, Object value, int index)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AddValueOperation` | `clone()`
    `boolean` | `equals(Object obj)`
    `int` | `getActualIndex()`
    `int` | `getIndex()`
    `Object` | `getValue()`
    `int` | `hashCode()`
    `void` | `replay(MutableDocument delegate)`
    `void` | `rollback(MutableDocument delegate)`
    `String` | `toString()`

    - ### Methods inherited from class org.infinispan.schematic.internal.delta.ArrayOperation

      `cloneValues, mutableParent`

    - ### Methods inherited from class org.infinispan.schematic.internal.delta.Operation

      `cloneValue, equalsIfNotNull, getParentPath`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### APPEND_INDEX

          protected static final int APPEND_INDEX

      See Also:
        Constant Field Values

    - #### value

          protected final Object value

    - #### index

          protected final int index

    - #### actualIndex

          protected transient int actualIndex

  - ### Constructor Detail

    - #### AddValueOperation

          public AddValueOperation(Path path,
                           Object value)

    - #### AddValueOperation

          public AddValueOperation(Path path,
                           Object value,
                           int index)

  - ### Method Detail

    - #### clone

          public AddValueOperation clone()

      Specified by:
        `clone` in class `Operation`

    - #### getValue

          public Object getValue()

    - #### getIndex

          public int getIndex()

    - #### getActualIndex

          public int getActualIndex()

    - #### rollback

          public void rollback(MutableDocument delegate)

      Specified by:
        `rollback` in class `Operation`

    - #### replay

          public void replay(MutableDocument delegate)

      Specified by:
        `replay` in class `Operation`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Operation`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.